> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://developers.awork.com/apiv1/project-automations/get-project-automation-action/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server. # Gets a specific action for a project automation. GET https://api.awork.com/api/v1/projects/{projectId}/automations/{automationId}/actions/{actionId} The user must be owner of the project or must have `project-master-data:read` permissions on the specified project. Reference: https://developers.awork.com/apiv1/project-automations/get-project-automation-action ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. ## Request ### Path parameters - `projectId` (string, required) — The id of the project of the automation. - `automationId` (string, required) — The id of the automation. - `actionId` (string, required) — The id of the action. ## Response ### 200 OK - `id` (string, optional) — The id of the action. - `createdBy` (string, optional) — The id of the user who created the action. - `createdOn` (string, optional) — The date the action was created. - `updatedBy` (string, optional) — The id of the user who updated the action. - `updatedOn` (string, optional) — The date the action was updated. - `type` (string, optional, nullable) — The type of the action. - `order` (double, optional, nullable) — The order of the action. - `values` (list of ActionValue, optional, nullable) — The values of the action. ## Types ### ActionValue - `name` (string, optional, nullable) — The name of the action value. - `value` (string, optional, nullable) — The value of the action value. ## Examples **Response** ```json { "id": "123e4567-e89b-12d3-a456-426614174000", "createdBy": "123e4567-e89b-12d3-a456-426614174000", "createdOn": "2024-01-15T09:30:00Z", "updatedBy": "123e4567-e89b-12d3-a456-426614174000", "updatedOn": "2024-01-15T09:30:00Z", "type": "tag-add-task", "order": 2, "values": [ { "name": "tag", "value": "Design" } ] } ``` **SDK Code** ```python import requests url = "https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions/actionId" headers = {"Authorization": "Bearer "} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions/actionId'; const options = {method: 'GET', headers: {Authorization: 'Bearer '}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions/actionId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer ") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions/actionId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer ' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions/actionId") .header("Authorization", "Bearer ") .asString(); ``` ```php request('GET', 'https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions/actionId', [ 'headers' => [ 'Authorization' => 'Bearer ', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions/actionId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", "Bearer "); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": "Bearer "] let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/projects/projectId/automations/automationId/actions/actionId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```